Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package org.jivesoftware.admin

Class org.jivesoftware.admin.SidebarTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

### css

    String css

### currentcss

    String currentcss

### headercss

    String headercss

### subsidebarTag

    SubSidebarTag subsidebarTag

Class org.jivesoftware.admin.SubSidebarTag extends SidebarTag implements Serializable

Serialized Fields

### parent

    SidebarTag parent

### body

    String body

Class org.jivesoftware.admin.TabsTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

### bean

    String bean

### css

    String css

### currentcss

    String currentcss

Package org.jivesoftware.openfire

Class org.jivesoftware.openfire.ChannelNotFoundException extends RuntimeException implements Serializable

Class org.jivesoftware.openfire.PacketException extends RuntimeException implements Serializable

Class org.jivesoftware.openfire.RemoteConnectionFailedException extends Exception implements Serializable

Class org.jivesoftware.openfire.SessionNotFoundException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.SharedGroupException extends Exception implements Serializable

Package org.jivesoftware.openfire.auth

Class org.jivesoftware.openfire.auth.UnauthenticatedException extends Exception implements Serializable

Class org.jivesoftware.openfire.auth.UnauthorizedException extends Exception implements Serializable

Package org.jivesoftware.openfire.cluster

Class org.jivesoftware.openfire.cluster.GetBasicStatistics extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.cluster.NodeID extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.container

Class org.jivesoftware.openfire.container.GetAdminConsoleInfoTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.container.IsPluginInstalledTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.container.PluginIconServlet extends javax.servlet.http.HttpServlet implements Serializable

Class org.jivesoftware.openfire.container.PluginServlet extends javax.servlet.http.HttpServlet implements Serializable

Package org.jivesoftware.openfire.entitycaps

Class org.jivesoftware.openfire.entitycaps.EntityCapabilities extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.filetransfer

Class org.jivesoftware.openfire.filetransfer.FileTransfer extends Object implements Serializable

Serialized Fields

### sessionID

    String sessionID

### initiator

    String initiator

### target

    String target

### fileName

    String fileName

### fileSize

    long fileSize

### mimeType

    String mimeType

### progress

    FileTransferProgress progress

Class org.jivesoftware.openfire.filetransfer.FileTransferRejectedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

### rejectionMessage

    String rejectionMessage

  Text to include in a message that will be sent to the sender of the packet that got rejected. If no text is specified then no message will be sent to the user.

Package org.jivesoftware.openfire.filetransfer.proxy

Class org.jivesoftware.openfire.filetransfer.proxy.DefaultProxyTransfer extends Object implements Serializable

Serialized Fields

### initiator

    String initiator

### inputStream

    InputStream inputStream

### outputStream

    OutputStream outputStream

### target

    String target

### transferDigest

    String transferDigest

### streamID

    String streamID

### future

    Future<V> future

### amountWritten

    long amountWritten

Package org.jivesoftware.openfire.group

Class org.jivesoftware.openfire.group.Group extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.group.GroupAlreadyExistsException extends Exception implements Serializable

Class org.jivesoftware.openfire.group.GroupNotFoundException extends Exception implements Serializable

Package org.jivesoftware.openfire.handler

Class org.jivesoftware.openfire.handler.DirectedPresence extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.http

Class org.jivesoftware.openfire.http.FlashCrossDomainServlet extends javax.servlet.http.HttpServlet implements Serializable

Class org.jivesoftware.openfire.http.HttpBindException extends Exception implements Serializable

Serialized Fields

### error

    BoshBindingError error

Class org.jivesoftware.openfire.http.HttpBindServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### sessionManager

    HttpSessionManager sessionManager

### boshManager

    HttpBindManager boshManager

### localReader

    ThreadLocal<T> localReader

Class org.jivesoftware.openfire.http.HttpConnectionClosedException extends Exception implements Serializable

Class org.jivesoftware.openfire.http.ResourceServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### debug

    boolean debug

### disableCompression

    boolean disableCompression

Package org.jivesoftware.openfire.interceptor

Class org.jivesoftware.openfire.interceptor.PacketRejectedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

### rejectionMessage

    String rejectionMessage

  Text to include in a message that will be sent to the sender of the packet that got rejected. If no text is specified then no message will be sent to the user.

Package org.jivesoftware.openfire.launcher

Class org.jivesoftware.openfire.launcher.DroppableFrame extends JFrame implements Serializable

Serialized Fields

### dragSource

    DragSource dragSource

Class org.jivesoftware.openfire.launcher.DroppableTextPane extends JTextPane implements Serializable

Serialized Fields

### dragSource

    DragSource dragSource

Package org.jivesoftware.openfire.muc

Class org.jivesoftware.openfire.muc.ConflictException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.ForbiddenException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.NotAcceptableException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.NotAllowedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.RegistrationRequiredException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.RoomLockedException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.muc.ServiceUnavailableException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Package org.jivesoftware.openfire.muc.cluster

Class org.jivesoftware.openfire.muc.cluster.BroascastMessageRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.BroascastPresenceRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.ChangeNickname extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.DestroyRoomRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.GetNewMemberRoomsRequest extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.GetNumberConnectedUsers extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.MUCRoomTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.OccupantAddedEvent extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.OccupantLeftEvent extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomAvailableEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomInfo extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomRemovedEvent extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.RoomUpdatedEvent extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.SeniorMemberRoomsRequest extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdateHistoryStrategy extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdateOccupant extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdateOccupantRequest extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.cluster.UpdatePresence extends MUCRoomTask implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.muc.spi

Class org.jivesoftware.openfire.muc.spi.LocalMUCRoom extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.muc.spi.RemoteMUCRole extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.multiplex

Class org.jivesoftware.openfire.multiplex.UnknownStanzaException extends Exception implements Serializable

Package org.jivesoftware.openfire.privacy

Class org.jivesoftware.openfire.privacy.PrivacyList extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.pubsub

Class org.jivesoftware.openfire.pubsub.NotAcceptableException extends Exception implements Serializable

serialVersionUID: 1L

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Package org.jivesoftware.openfire.roster

Class org.jivesoftware.openfire.roster.Roster extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.roster.RosterItem extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.sasl

Class org.jivesoftware.openfire.sasl.SaslProvider extends Provider implements Serializable

Class org.jivesoftware.openfire.sasl.VerifyPasswordCallback extends Object implements Serializable

serialVersionUID: -6393402725550707836L

Serialized Fields

### password

    char[] password

### verified

    boolean verified

Package org.jivesoftware.openfire.server

Class org.jivesoftware.openfire.server.RemoteServerConfiguration extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.session

Class org.jivesoftware.openfire.session.GetSessionsCountTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.spi

Class org.jivesoftware.openfire.spi.ClientRoute extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.openfire.user

Class org.jivesoftware.openfire.user.User extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.openfire.user.UserAlreadyExistsException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.openfire.user.UserNotFoundException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Package org.jivesoftware.util

Class org.jivesoftware.util.AlreadyExistsException extends Exception implements Serializable

Class org.jivesoftware.util.ByteFormat extends Format implements Serializable

Class org.jivesoftware.util.ConcurrentHashSet extends AbstractSet<E> implements Serializable

Serialization Methods

### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

  Reconstitute the `HashSet` instance from a stream (that is, deserialize it).

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

  Throws:
    `IOException`

Class org.jivesoftware.util.FaviconServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

### defaultBytes

    byte[] defaultBytes

  Bytes of the default favicon to return when one was not found on a host.

### client

    org.apache.commons.httpclient.HttpClient client

  Pool of HTTP connections to use to get the favicons

### missesCache

    Cache<K,V> missesCache

  Cache the domains that a favicon was not found.

### hitsCache

    Cache<K,V> hitsCache

  Cache the favicons that we've found.

Class org.jivesoftware.util.InitializationException extends Exception implements Serializable

Serialized Fields

### nestedThrowable

    Throwable nestedThrowable

Class org.jivesoftware.util.InternalServerErrorException extends RuntimeException implements Serializable

Class org.jivesoftware.util.NotFoundException extends Exception implements Serializable

Class org.jivesoftware.util.PropertyClusterEventTask extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Package org.jivesoftware.util.cache

Package org.jivesoftware.util.log

Class org.jivesoftware.util.log.ContextMap extends Object implements Serializable

Serialization Methods

### readResolve

    private Object readResolve()
                        throws ObjectStreamException

  Helper method that sets context to read-only after de-serialization.

  Throws:
    `ObjectStreamException` - if an error occurs

Serialized Fields

### m_parent

    ContextMap m_parent

### m_map

    Map<K,V> m_map

Class org.jivesoftware.util.log.LogEvent extends Object implements Serializable

Serialization Methods

### readResolve

    private Object readResolve()
                        throws ObjectStreamException

  Helper method that replaces deserialized priority with correct singleton.

  Throws:
    `ObjectStreamException` - if an error occurs

Serialized Fields

### m_category

    String m_category

### m_message

    String m_message

### m_throwable

    Throwable m_throwable

### m_time

    long m_time

### m_priority

    Priority m_priority

### m_contextMap

    ContextMap m_contextMap

Class org.jivesoftware.util.log.Priority extends Object implements Serializable

Serialization Methods

### readResolve

    private Object readResolve()
                        throws ObjectStreamException

  Helper method that replaces deserialized object with correct singleton.

  Throws:
    `ObjectStreamException` - if an error occurs

Serialized Fields

### m_name

    String m_name

### m_priority

    int m_priority

Package org.xmpp.component

Class org.xmpp.component.ComponentException extends Exception implements Serializable

Serialized Fields

### streamError

    StreamError streamError

Package org.xmpp.packet

Class org.xmpp.packet.JID extends Object implements Serializable

Serialization Methods

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV NEXT | FRAMES NO FRAMES

Copyright © 2003-2007 Jive Software.